AOMedia AV1 Codec: Speed vs Quality Trade Off

| AOMedia AV1 Codec

Functions
Speed vs Quality Trade Off
Encoder Algorithm » High-level Algorithm

## Functions
void | av1_set_speed_features_framesize_independent (struct AV1_COMP *cpi, int speed)
| Frame size independent speed vs quality trade off flags.
void | av1_set_speed_features_framesize_dependent (struct AV1_COMP *cpi, int speed)
| Frame size dependent speed vs quality trade off flags.
void | av1_set_speed_features_qindex_dependent (struct AV1_COMP *cpi, int speed)
| Q index dependent speed vs quality trade off flags.

## Detailed Description

This module describes the encode speed vs quality tradeoff

## Function Documentation

## ◆ av1_set_speed_features_framesize_independent()

void av1_set_speed_features_framesize_independent | ( | struct AV1_COMP * | cpi,
|  | int | speed )

Frame size independent speed vs quality trade off flags.

Parameters

  [in] | cpi | Top - level encoder instance structure
  [in] | speed | Speed setting passed in from the command line

Remarks
  No return value but configures the various speed trade off flags based on the passed in speed setting. (Higher speed gives lower quality)

## ◆ av1_set_speed_features_framesize_dependent()

void av1_set_speed_features_framesize_dependent | ( | struct AV1_COMP * | cpi,
|  | int | speed )

Frame size dependent speed vs quality trade off flags.

Parameters

  [in] | cpi | Top - level encoder instance structure
  [in] | speed | Speed setting passed in from the command line

Remarks
  No return value but configures the various speed trade off flags based on the passed in speed setting and frame size. (Higher speed corresponds to lower quality)

## ◆ av1_set_speed_features_qindex_dependent()

void av1_set_speed_features_qindex_dependent | ( | struct AV1_COMP * | cpi,
|  | int | speed )

Q index dependent speed vs quality trade off flags.

Parameters

  [in] | cpi | Top - level encoder instance structure
  [in] | speed | Speed setting passed in from the command line

Remarks
  No return value but configures the various speed trade off flags based on the passed in speed setting and current frame's Q index. (Higher speed corresponds to lower quality)

Referenced by encode_with_recode_loop(), and encode_without_recode().